#!/bin/bash

##############################################
# file_runner.sh
# By: Matt Gitzendanner
#
# This is an example script written to
# demonstrate how to run different datasets
# using the same submission script.
#
# To use, type: sh file_runner.sh
# Have this script, raxml.files.pbs, and 
# all of your datasets (ending in .phy)
# in the same directory.
############################################

# Create a variable with all of the files from 
# the current directory ending in .phy 
PHY=*.phy

# For each of those files
for file in $PHY
do
	echo "submitting file: $file"
	#submit raxml.files.pbs using the file as the input
	qsub raxml.files.pbs -v FILE=$file
	usleep 500
done

